| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
Digikam::ActionSortFilterProxyModel Class Reference
Inheritance diagram for Digikam::ActionSortFilterProxyModel:

## Public Member Functions
| ActionSortFilterProxyModel (QObject *const parent=nullptr)
Public Member Functions inherited from Digikam::DCategorizedSortFilterProxyModel
| DCategorizedSortFilterProxyModel (QObject *const parent=nullptr)
bool | isCategorizedModel () const
void | setCategorizedModel (bool categorizedModel)
| Enables or disables the categorization feature.
void | setSortCategoriesByNaturalComparison (bool sortCategoriesByNaturalComparison)
| Set if the sorting using CategorySortRole will use a natural comparison in the case that strings were returned.
void | sort (int column, Qt::SortOrder order=Qt::AscendingOrder) override
| Overridden from QSortFilterProxyModel.
bool | sortCategoriesByNaturalComparison () const
int | sortColumn () const
Qt::SortOrder | sortOrder () const

## Protected Member Functions
bool | filterAcceptsRow (int source_row, const QModelIndex &source_parent) const override
Protected Member Functions inherited from Digikam::DCategorizedSortFilterProxyModel
virtual int | compareCategories (const QModelIndex &left, const QModelIndex &right) const
| This method compares the category of the `left` index with the category of the `right` index.
bool | lessThan (const QModelIndex &left, const QModelIndex &right) const override
| Overridden from QSortFilterProxyModel.
virtual bool | subSortLessThan (const QModelIndex &left, const QModelIndex &right) const
| This method has a similar purpose as lessThan() has on QSortFilterProxyModel.

## Additional Inherited Members
Public Types inherited from Digikam::DCategorizedSortFilterProxyModel
enum | AdditionalRoles { CategoryDisplayRole = 0x17CE990A , CategorySortRole = 0x27857E60 }